Skip to content
Start here

List tunnel routes

client.zeroTrust.networks.routes.list(RouteListParams { account_id, comment, existed_at, 9 more } params, RequestOptionsoptions?): V4PagePaginationArray<Teamnet { id, comment, created_at, 7 more } >
GET/accounts/{account_id}/teamnet/routes

Lists and filters private network routes in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks ReadCloudflare Tunnel WriteCloudflare Tunnel Read
ParametersExpand Collapse
params: RouteListParams { account_id, comment, existed_at, 9 more }
account_id: string

Path param: Cloudflare account ID

maxLength32
comment?: string

Query param: Optional remark describing the route.

maxLength100
existed_at?: string

Query param: If provided, include only resources that were created (and not deleted) before this time. URL encoded.

formaturl-encoded-date-time
is_deleted?: boolean

Query param: If true, only include deleted routes. If false, exclude deleted routes. If empty, all routes will be included.

network_subset?: string

Query param: If set, only list routes that are contained within this IP range.

network_superset?: string

Query param: If set, only list routes that contain this IP range.

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of results to display.

maximum1000
minimum1
route_id?: string

Query param: UUID of the route.

maxLength36
tun_types?: Array<"cfd_tunnel" | "warp_connector" | "warp" | 4 more>

Query param: The types of tunnels to filter by, separated by commas.

One of the following:
"cfd_tunnel"
"warp_connector"
"warp"
"magic"
"ip_sec"
"gre"
"cni"
tunnel_id?: string

Query param: UUID of the tunnel.

formatuuid
maxLength36
virtual_network_id?: string

Query param: UUID of the virtual network.

formatuuid
ReturnsExpand Collapse
Teamnet { id, comment, created_at, 7 more }
id?: string

UUID of the route.

maxLength36
comment?: string

Optional remark describing the route.

maxLength100
created_at?: string

Timestamp of when the resource was created.

formatdate-time
deleted_at?: string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
network?: string

The private IPv4 or IPv6 range connected by the route, in CIDR notation.

tun_type?: "cfd_tunnel" | "warp_connector" | "warp" | 4 more

The type of tunnel.

One of the following:
"cfd_tunnel"
"warp_connector"
"warp"
"magic"
"ip_sec"
"gre"
"cni"
tunnel_id?: string

UUID of the tunnel.

formatuuid
maxLength36
tunnel_name?: string

A user-friendly name for a tunnel.

virtual_network_id?: string

UUID of the virtual network.

formatuuid
virtual_network_name?: string

A user-friendly name for the virtual network.

maxLength256

List tunnel routes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const teamnet of client.zeroTrust.networks.routes.list({
  account_id: '699d98642c564d2e855e9661899b7252',
})) {
  console.log(teamnet.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Example comment for this route.",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00.000000Z",
      "network": "172.16.0.0/16",
      "tun_type": "cfd_tunnel",
      "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "tunnel_name": "blog",
      "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "virtual_network_name": "us-east-1-vpc"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Example comment for this route.",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00.000000Z",
      "network": "172.16.0.0/16",
      "tun_type": "cfd_tunnel",
      "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "tunnel_name": "blog",
      "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "virtual_network_name": "us-east-1-vpc"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}